SDL_gfx 2.0.25

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SDL_gfxMurphyIterator Struct Reference

The structure passed to the internal Murphy iterator. More...

## Data Fields

Uint32 | color
SDL_Surface * | dst
int | u
int | v
int | ku
int | kt
int | kv
int | kd
int | oct2
int | quad4
Sint16 | last1x
Sint16 | last1y
Sint16 | last2x
Sint16 | last2y
Sint16 | first1x
Sint16 | first1y
Sint16 | first2x
Sint16 | first2y
Sint16 | tempx
Sint16 | tempy

## Detailed Description

The structure passed to the internal Murphy iterator.

Definition at line 60 of file SDL_gfxPrimitives.c.

## Field Documentation

Uint32 color

Definition at line 61 of file SDL_gfxPrimitives.c.

SDL_Surface* dst

Definition at line 62 of file SDL_gfxPrimitives.c.

Sint16 first1x

Definition at line 67 of file SDL_gfxPrimitives.c.

Sint16 first1y

Definition at line 67 of file SDL_gfxPrimitives.c.

Sint16 first2x

Definition at line 67 of file SDL_gfxPrimitives.c.

Sint16 first2y

Definition at line 67 of file SDL_gfxPrimitives.c.

int kd

Definition at line 64 of file SDL_gfxPrimitives.c.

int kt

Definition at line 64 of file SDL_gfxPrimitives.c.

int ku

Definition at line 64 of file SDL_gfxPrimitives.c.

int kv

Definition at line 64 of file SDL_gfxPrimitives.c.

Sint16 last1x

Definition at line 67 of file SDL_gfxPrimitives.c.

Sint16 last1y

Definition at line 67 of file SDL_gfxPrimitives.c.

Sint16 last2x

Definition at line 67 of file SDL_gfxPrimitives.c.

Sint16 last2y

Definition at line 67 of file SDL_gfxPrimitives.c.

int oct2

Definition at line 65 of file SDL_gfxPrimitives.c.

int quad4

Definition at line 66 of file SDL_gfxPrimitives.c.

Sint16 tempx

Definition at line 67 of file SDL_gfxPrimitives.c.

Sint16 tempy

Definition at line 67 of file SDL_gfxPrimitives.c.

int u

Definition at line 63 of file SDL_gfxPrimitives.c.

int v

Definition at line 63 of file SDL_gfxPrimitives.c.

The documentation for this struct was generated from the following file:

- I:/Sources/sdlgfx/SDL_gfxPrimitives.c